classification
Title: pickle's documentation is severely outdated
Type: behavior Stage: needs patch
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: 655802 956303 Superseder:
Assigned To: alexandre.vassalotti Nosy List: alexandre.vassalotti
Priority: normal Keywords:

Created on 2007-12-01 19:04 by alexandre.vassalotti, last changed 2010-06-28 20:51 by alexandre.vassalotti. This issue is now closed.

Messages (3)
msg58063 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2007-12-01 19:04
The current documentation for the pickle module (and related modules) is
outdated and should be updated. For example, the section "Pickling and
unpickling extension types" [1] is not only confusing, but outright
wrong. For Python 2.6, the documentation of cPickle should be updated to
reflect the differences between the cPickle and pickle.py modules. It
would be also be appropriate to note that cPickle is pending removal and
should not be used anymore.

[1]:
http://docs.python.org/dev/library/pickle.html#pickling-and-unpickling-extension-types
msg58067 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2007-12-01 19:33
[I just realized that dependencies in the tracker should go the other
way around.]
msg108864 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2010-06-28 20:51
The new documentation for pickle in Python 3 fixes this.

I still believe we should outline the differences between pickle.py and cPickle. But at this point, it's unlikely I will put the time to do it. Feel free to open a new issue if you want this to be done.
History
Date User Action Args
2010-06-28 20:51:54alexandre.vassalottisetstatus: open -> closed
resolution: fixed
messages: + msg108864

versions: - Python 2.6, Python 3.0
2009-02-13 02:26:21ajaksu2settype: behavior
stage: needs patch
2007-12-01 19:33:45alexandre.vassalottiunlinkissue956303 dependencies
2007-12-01 19:33:29alexandre.vassalottiunlinkissue655802 dependencies
2007-12-01 19:33:02alexandre.vassalottisetdependencies: + cPickle not always same as pickle, Update pickle docs to describe format of persistent IDs
messages: + msg58067
2007-12-01 19:22:14alexandre.vassalottilinkissue655802 dependencies
2007-12-01 19:07:23alexandre.vassalottilinkissue956303 dependencies
2007-12-01 19:04:21alexandre.vassalotticreate